## initramfs-tools 0.92bjolicloud5

=== debian/changelog ===
initramfs-tools (1:0.92bjolicloud5) robby; urgency=low

  * Fix spurious mknod error messages

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Tue, 08 Jun 2010 17:49:39 +0200

initramfs-tools (1:0.92bjolicloud4) robby; urgency=low

  * Revert "Update all previous initramfs images, not just the
    current/latest image"

 -- Adam McDaniel <adam@jolicloud.org>  Wed, 24 Feb 2010 15:52:59 -0700

initramfs-tools (1:0.92bjolicloud3) robby; urgency=low

  * Change references from vol_id to newer blkid
  * initramfs-tools now depends on util-linux (>= 2.16-1) for blkid
  * Ensure /sbin/blkid is properly installed on the initramfs image
  * Update all previous initramfs images, not just the current/latest image

 -- Adam McDaniel <adam@jolicloud.org>  Fri, 19 Feb 2010 00:59:20 -0700

initramfs-tools (1:0.92bjolicloud2) robby; urgency=low

  * Includes modules.dep in mkinitramfs's cpio archive output

 -- Adam McDaniel <adam@jolicloud.org>  Fri, 04 Dec 2009 13:33:58 +0100

initramfs-tools (1:0.92bjolicloud1) robby; urgency=low

  [Benjamin Ryzman]
  * Initial jolicloud commit

  [Adam McDaniel]
  * Setting Epoch to force downgrade from accidental upgrade to broken
    initramfs-tools (0.93.3jolicloud1) package.

 -- Adam McDaniel <adam@jolicloud.org>  Tue, 03 Nov 2009 13:06:08 -0700

initramfs-tools (0.92bubuntu29) jaunty; urgency=low

  * copy_exec: also avoid picking sse2, neon, and vfp hwcaps versions of libs.
  * Move debhelper and cdbs from -Indep to Build-Depends for clean:.

 -- Loic Minier <lool@dooz.org>  Tue, 14 Apr 2009 11:11:52 +0200

initramfs-tools (0.92bubuntu28) jaunty; urgency=low

  * update-initramfs: copy the logic added in Debian to run flash-kernel after
    the initrd has been generated (if the system is supported by
    flash-kernel); flash-kernel is run twice, but at least the system really
    runs the latest initrd; LP: #358762.

 -- Loic Minier <lool@dooz.org>  Sat, 11 Apr 2009 00:07:04 +0200

initramfs-tools (0.92bubuntu27) jaunty; urgency=low

  * Backport from Debian (LP: #347685):
    - init: Fix boot with LABEL containing one or several '/'. Thanks to
      Andres Salomon <dilinger@debian.org> for testing. (closes: #489008)
    - scripts/local-premount/resume: Fix resume with LABEL containing '/'.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 03 Apr 2009 02:04:34 +0100

initramfs-tools (0.92bubuntu26) jaunty; urgency=low

  * hooks/thermal: Do not load thermal control for macintosh if the device is a PS3. (LP: #346899)

 -- Arnaud Jeansen <arnaud.jeansen@gmail.com>  Thu, 26 Mar 2009 00:41:46 +0100

initramfs-tools (0.92bubuntu25) jaunty; urgency=low

  * mkinitramfs: include the modules.order file.  LP: #296710.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 13 Mar 2009 16:11:49 +0000

initramfs-tools (0.92bubuntu24) jaunty; urgency=low

  * update-initramfs:
    - when doing set_linked_version, check if the links point
      to a existing initrd.img

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 11 Mar 2009 10:25:42 +0100

initramfs-tools (0.92bubuntu23) jaunty; urgency=low

  * Forgot the top-level MODPROBE_OPTIONS set.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 09 Mar 2009 22:06:46 +0000

initramfs-tools (0.92bubuntu22) jaunty; urgency=low

  * Replace calls to modprobe -Q with -q.  LP: #340128.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 09 Mar 2009 21:38:45 +0000

initramfs-tools (0.92bubuntu21) jaunty; urgency=low

  * mkinitramfs: catch errors in find/cpio/gzip pipe (debian bug 514938):
    - git 63cc7b9216d69f413cd5414c96cf2c9a403e03ae
    - git 93654c9230d3817fa57069012a0b06ccb1df09e4

 -- Kees Cook <kees@ubuntu.com>  Sun, 15 Feb 2009 09:48:50 -0800

initramfs-tools (0.92bubuntu20) jaunty; urgency=low

  * scripts/local-premount/resume: wait for usplash drawing routines
    to finish by flushing usplash command buffer before starting resume.

 -- Kees Cook <kees@ubuntu.com>  Sun, 08 Feb 2009 07:34:40 -0800

initramfs-tools (0.92bubuntu19) jaunty; urgency=low

  * hook-functions: Add hid_* modules, since some keyboards will not be
    usable at the initramfs/busybox prompt without them.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 29 Jan 2009 07:00:07 +1100

initramfs-tools (0.92bubuntu18) jaunty; urgency=low

  * Add ext4 to the initramfs, in case it stops being built into the kernel.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 08 Jan 2009 13:29:51 +0000

initramfs-tools (0.92bubuntu17) jaunty; urgency=low

  [ Mikael Gerdin ]
  * Create /dev/mem and /dev/zero if video=uvesafb (LP: #285970).

  [ Colin Watson ]
  * Make debug option write debug output to /dev/.initramfs/initramfs.debug
    rather than /tmp/initramfs.debug, so that it can be retrieved after
    boot.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 26 Nov 2008 17:22:18 +0000

initramfs-tools (0.92bubuntu16) intrepid-proposed; urgency=low

  * Added atl1e to the list of NICs built into the initramfs.
    -LP: #292411

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 14 Nov 2008 11:40:29 -0700

initramfs-tools (0.92bubuntu15) intrepid; urgency=low

  [ Dan Munckton ]
  * Revert "framebuffer: Let udev create fb devices." udev isn't started at
    this point and therefore can't create framebuffer devices. This causes
    usplash not to run on PS3 (LP: #274860).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 01 Oct 2008 16:02:37 +0100

initramfs-tools (0.92bubuntu14) intrepid; urgency=low

  * scripts/functions: Call ipconfig with a one-minute timeout rather than
    waiting forever (LP: #182940).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 01 Oct 2008 14:51:59 +0100

initramfs-tools (0.92bubuntu13) intrepid; urgency=low

  * scripts/local-premount/resume: Fix incorrect resume message by checking
    for swsusp signature before assuming there's a resume about to happen

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 16 Sep 2008 11:49:55 +0100

initramfs-tools (0.92bubuntu12) intrepid; urgency=low

  * scripts/functions: must chvt(1) during failure hooks, as console input

