=== debian/control ===
Source: initramfs-tools
Section: utils
Priority: optional
Uploaders: Jeff Bailey <jbailey@ubuntu.com>, maximilian attems <maks@debian.org>, David Härdeman <david@hardeman.nu>
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Build-Depends: debhelper (>= 4.0.0), cdbs
Standards-Version: 3.7.3
Vcs-Browser: http://git.debian.org/?p=kernel/initramfs-tools.git
Vcs-Git: git://git.debian.org/git/kernel/initramfs-tools.git

Package: initramfs-tools
Architecture: all
Depends: klibc-utils (>= 1.5.9-1), busybox-initramfs, cpio, module-init-tools, udev (>= 117-5), findutils (>= 4.2.24), util-linux (>= 2.16-1)
Provides: linux-initramfs-tool
Description: tools for generating an initramfs
 This package contains tools to create and boot an initramfs for packaged 2.6
 Linux kernel. The initramfs is a gzipped cpio archive. At boot time, the
 kernel unpacks that archive into RAM, mounts and uses it as initial root file
 system. The mounting of the real root file system occurs in early user space.
 klibc provides utilities to setup root. Having the root on EVMS, MD, LVM2,
 LUKS or NFS is also supported.
 Any boot loader with initrd support is able to load an initramfs archive.
