## initramfs-tools 0.92bubuntu29netbook3

=== debian/changelog ===
initramfs-tools (0.92bubuntu29netbook3) netbook-jaunty; urgency=low

  [ Debbie Beliveau ]
  * init: Remove 'Loading, please wait...' line to clean up boot

 -- Michael Terry <michael.terry@canonical.com>  Wed, 15 Jul 2009 11:26:02 -0400

initramfs-tools (0.92bubuntu29netbook2) netbook-jaunty; urgency=low

  [Loic Minier]
  * update-initramfs: check whether kernel-img.conf exists and postinst_hook
    is set before calling flash-kernel.
  [Cody A.W. Somerville]
  * Revert previous upload as the mobile team is going with this option for now.

 -- Cody A.W. Somerville <cody.somerville@canonical.com>  Tue, 07 Jul 2009 12:07:57 -0300

initramfs-tools (0.92bubuntu29netbook1) netbook-jaunty; urgency=low

  [Loic Minier]
  * update-initramfs: call postinst_hook instead of flash-kernel. 

 -- Cody A.W. Somerville <cody.somerville@canonical.com>  Tue, 07 Jul 2009 10:41:17 -0300
