## initramfs-tools 0.92bubuntu29netbook4

=== debian/changelog ===
initramfs-tools (0.92bubuntu29netbook4) netbook-jaunty; urgency=low

  * Back out the postinst grep check before flash-kernel

 -- Michael Frey <michael.frey@canonical.com>  Tue, 29 Sep 2009 14:42:36 -0400
