=== debian/changelog ===
initramfs-tools (0.92bubuntu78) lucid; urgency=low

  * hooks/compcache: Escape $-expansions inside <<EOF (thanks, Eugene San;
    LP: #569317).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Apr 2010 16:15:57 +0100

initramfs-tools (0.92bubuntu77) lucid; urgency=low

  * Add a new 'fixrtc' script that tries to set the system clock forward
    based on the last mount time of the root disk; without this kludge,
    systems without a working RTC will end up in a perpetual reboot loop.
    Thanks to Dave Martin <Dave.Martin@arm.com> for the patch.  LP: #563618.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 23 Apr 2010 14:55:24 -0700

initramfs-tools (0.92bubuntu76) lucid; urgency=low

  * hooks/compcache: add option to disable usage of compcache completely on
    the kernel cmdline using the nocompcache option

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 22 Apr 2010 14:53:05 +0200

initramfs-tools (0.92bubuntu75) lucid; urgency=low

  * When specifying a network interface by MAC address, set DEVICE to (e.g.)
    eth0 rather than /sys/class/net/eth0 (LP: #546964).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 21 Apr 2010 12:40:42 +0100

initramfs-tools (0.92bubuntu74) lucid; urgency=low

  * debian/control, debian/rules:
    - force libc6 dependency to >= 2.11 (and libc6.1 on ia64, the libc6
      has a different packages name on this architecture) to workaround a
      bug in libapt  when it orders the install for essential packages
      (LP: #559582)
      This can be removed after lucid

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 16 Apr 2010 13:13:50 +0200

initramfs-tools (0.92bubuntu73) lucid; urgency=low

  * Change to ${DESTDIR} before running find to filter out looping or broken
    symlinks, to avoid tickling a find bug.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Apr 2010 23:33:22 +0100

initramfs-tools (0.92bubuntu72) lucid; urgency=low

  * make sure we can use mmc cards for / and add a proper sysfs handler,
    (mmc always uses numbering in the device name like mmcblk[0-9]p[0-n], make
    sure hook-functions only cuts off the partition but not the device number)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 14 Apr 2010 11:40:30 +0200

initramfs-tools (0.92bubuntu71) lucid; urgency=low

  * init:
    - mount /dev/pts as well as /dev so we can redirect the console early. 
    - load the netconsole module when netconsole=* placed on the kernel
      command-line.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 26 Mar 2010 14:45:26 +0000

initramfs-tools (0.92bubuntu70) lucid; urgency=low

  * Filter out looping or broken symlinks from the initramfs, since they
    cause cpio to explode (LP: #540686).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 26 Mar 2010 13:08:05 +0000

initramfs-tools (0.92bubuntu69) lucid; urgency=low

  * scripts/init-top/blacklist: move vga16fb blacklisting before the
    bail-out logic.
  * scripts/init-top/framebuffer: create "fbmode" argument to force allow
    foring a mode via fb /sys interfaces, for framebuffers that do not
    correctly handle setting mode via module options.

 -- Kees Cook <kees@ubuntu.com>  Sat, 20 Mar 2010 13:12:25 -0700

initramfs-tools (0.92bubuntu68) lucid; urgency=low

  * Backport from Debian:
    - hook-functions: Cope with partitions over 9 (LP: #539577).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 19 Mar 2010 18:57:43 +0000

initramfs-tools (0.92bubuntu67) lucid; urgency=low

  * debian/control:
    - make the Breaks: upslash (<< 0.5.50) a Conflicts to help the
      apt resolver on hardy to lucid upgrades

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 05 Mar 2010 13:25:29 +0100

initramfs-tools (0.92bubuntu66) lucid; urgency=low

  * scripts/local-premount/resume: wait-for-root will handle both UUID= and
    /dev/disk/by-uuid, but /bin/resume from klibc will only handle the latter,
    so revert the changes from 0.92bubuntu59 that dropped our fix-up of
    device name.  LP: #499940.
  * scripts/local-premount/resume: also recognize 'swsuspend' as a valid fs
    type for a hibernation partition, since this is what udev returns for the
    in-kernel hibernate/resume handling.  Thanks to Peter Clifton for noticing
    this!
  * scripts/local-premount/resume: call 'plymouth message' before resuming,
    to notify the user of the reason for the delay if the plymouth theme
    supports it.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 22 Feb 2010 00:20:22 -0800

initramfs-tools (0.92bubuntu65) lucid; urgency=low

  * scripts/init-premount/blacklist: Move to init-top so it has a chance
    of running before udev.
  * scripts/init-top/blacklist: Automatically blacklist vga16fb when vga=
    or video= specified on kernel command-line. 

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 17 Feb 2010 12:35:22 +0000

initramfs-tools (0.92bubuntu64) lucid; urgency=low

  * Allow specifying multiple break points using a comma delimiter.

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 10 Feb 2010 11:18:26 +0000

initramfs-tools (0.92bubuntu63) lucid; urgency=low

  * init, scripts/functions: Add support for specifying a network interface
    by MAC address, using hwaddr= on the command line or HWADDR in an
    initramfs configuration file (LP: #473036).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Feb 2010 11:49:34 -0800

initramfs-tools (0.92bubuntu62) lucid; urgency=low

  * src/wait-for-root.c:
    - device records we obtain from udev may not have a device node name
      yet, check to avoid strcmp between NULL and our path.  LP: #499422.
    - device records from the queue may not exist at all, check to avoid
      calling udev_device_unref on NULL (which should be safe anyway).
    - eliminate a race condition; by checking the filesystem before the
      queue, there was a small chance that udev could finish processing
      between our calls

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 22 Dec 2009 19:30:01 +0000

initramfs-tools (0.92bubuntu61) lucid; urgency=low


