## initramfs-tools 0.92m~bpo40+1

=== debian/changelog ===
initramfs-tools (0.92m~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch.

 -- Norbert Tretkowski <nobse@debian.org>  Mon, 22 Dec 2008 13:00:56 +0100

initramfs-tools (0.92m) unstable; urgency=medium

  [ Colin Watson ]
  * scripts/functions: Call ipconfig with a one-minute timeout.
  * Make debug option write to /dev/.initramfs/initramfs.debug,
    so that it can be retrieved after boot.

  [ Julien Danjou ]
  * scripts/functions: Wrong check for udevadm in functions. (closes: #507059)

  [ maximilian attems ]
  * scripts/functions: fix not set break variable. (closes: #502058)
  * MODULES=dep fix for ida devices.
  * hook-functions: alphebetize net drivers, fix typhoon typo.
  * Add atl1e, cxgb, ixgb, ixgbe, mlx4_core, netxen_nic, sfc, tehuti to
    net module list. (closes: #503216)
  * nuke 0.92k goof clean up.
  * postrm: set -e flag.
  * Revert "framebuffer: Let udev create fb devices."
  * scripts/functions: comment fix path to moved linux-2.6
    Documentation.
  * init: Don't leak initramfs-tools exported variables.
    (closes: #426465, #505440)

  [ dann frazier ]
  * Fix MODULES=dep for cciss devices. (closes: #507619)

  [ Michal Pokrywka ]
  * framebuffer: Add support for uvesafb. (closes: #502056)

  [ Andres Salomon ]
  * fix redboot partition support. (closes: #504555)

 -- maximilian attems <maks@debian.org>  Tue, 16 Dec 2008 16:01:44 +0100

initramfs-tools (0.92l) unstable; urgency=high

  * Revert "initramfs-tools: Add support for linux-2.6 make deb-pkg
    target" (closes: #499270) thanks Vincent Danjean <vdanjean@debian.org>.

 -- maximilian attems <maks@debian.org>  Wed, 17 Sep 2008 15:38:05 +0200

initramfs-tools (0.92k) unstable; urgency=high

  [ Martin Michlmayr ]
  * update initramfs.conf according to latest Debian Installer.
  * update-initramfs: don't run glantank-update-kernel.

  [ maximilian attems ]
  * auto_add_modules: add dasd_diag_mod to dasd section.
  * initramfs-tools: Add support for linux-2.6 make deb-pkg target.

 -- maximilian attems <maks@debian.org>  Tue, 16 Sep 2008 14:55:04 +0200

initramfs-tools (0.92j) unstable; urgency=high

  [ Gerfried Fuchs ]
  * initramfs-tools.8: Nuke useless bold spaces.
  * initramfs-tools.8: Fix manpage-has-errors-from-man.

  [ maximilian attems ]
  * Readd zfcp to auto_add_modules. (closes: #498698)
  * Add dasd_diag_mod to auto_add_modules block section
    Thanks Bastian Blank <waldi@debian.org>.

  [ Martin Michlmayr ]
  * initramfs.conf: Mention possible value overriding by d-i for
    example. (closes: #498712)

 -- maximilian attems <maks@debian.org>  Sat, 13 Sep 2008 12:12:02 +0200

initramfs-tools (0.92i) unstable; urgency=high

  * MODULES=dep fix for root lvm on md. (closes: #498237)
    Thanks Rod Whitby <rod@whitby.id.au> for report and test.

 -- maximilian attems <maks@debian.org>  Mon, 08 Sep 2008 16:13:24 +0200

initramfs-tools (0.92g) unstable; urgency=high

  [ maximilian attems ]
  * wait_for_udev: s/udevsettle/udevadm/ for upgrades after Lenny.
  * auto_add_modules: Add ext4 and ext4dev. (closes: #494922)

  [ Andres Salomon ]
  * Fix parse_numeric() to ignore non hex root string prefixes aka
    root=mtd0 on OLPC. see #497133

 -- maximilian attems <maks@debian.org>  Tue, 02 Sep 2008 17:50:32 +0200

initramfs-tools (0.92f) unstable; urgency=medium

  [ maximilian attems ]
  * mkinitramfs: only lvm2 initramfs has busybox dep. (closes: #490875)
  * mkinitramfs: Fix usage and man outfile arg is not optional.
    (closes: #493238)
  * preinst fix vol_id path. (closes: #494433)
  * update-initramfs: run_bootloader() invoke flash-kernel and glantank-
    update-kernel in order to have latest initramfs flashed on triggered
    update. Thanks to Joey Hess <joeyh@debian.org>.
  * debian/control: Newer standards version without changes.

  [ Chris Lamb ]
  * make log_begin_msg not emit trailing newline (closes: #494257)

  [ Martin Michlmayr ]
  * MODULES=dep boot fix for Orion. (closes: #494027)

 -- maximilian attems <maks@debian.org>  Tue, 12 Aug 2008 11:09:11 +0200

initramfs-tools (0.92e) unstable; urgency=medium

  * udevhelper hook: drop ide.agent.

 -- maximilian attems <maks@debian.org>  Mon, 07 Jul 2008 13:52:54 +0200

initramfs-tools (0.92d) unstable; urgency=low

  * Ubuntu merge
    - More meaningful text for no root device panic from Ubuntu.
    - Add virtio_pci, udf for MODULES=most root device support.
    - usplash pulsates: drop code to increment a progress bar after
      each message.
    - initramfs-tools.preinst: Try to use UUID for resume device.
    - add boot script loading ide-generic on all_generic_ide cmdline.
      Thanks Frans Pop <elendil@planet.nl> for report. (closes: #485786) 
  * init: add possible mountroot break (closes: #488963)
  * initramfs-tools.8: document UUID usage for root and all_generic_ide.
    (closes: #489186)
  * debian/initramfs-tools.preinst: try with different vol_id pathes.

 -- maximilian attems <maks@debian.org>  Sat, 05 Jul 2008 02:36:10 +0200

initramfs-tools (0.92c) unstable; urgency=low

  [ maximilian attems ]
  * doc: fix date string of manual pages.
  * MODULES=most add mmc host and card drivers for OLPC. (closes: #483431)
  * update-initramfs.conf.5: document backup_initramfs variable.
    (closes: #475430)
  * initramfs-tools.8: Document "break" and "panic" behaviour.
    (closes: #481196)
  * wait_for_udev(): simplify, no need for logging.

  [ martin f. krafft ]
  * Wait for udevsettle after -top scripts ran
  * init: Remove extra ellipses

 -- maximilian attems <maks@debian.org>  Sat, 05 Jul 2008 00:31:06 +0200
